15.1. System Requirements

Telerik OpenAccess ORM requires the following to work properly:

  • Microsoft .NET Framework 2.0 and above

  • Microsoft .NET Framework 3.5 (the minimum required version for the new visual data model designer and LINQ provider)

    Microsoft Visual Studio 2005 and above

    Access to a supported database

    Microsoft SQL Server 2000 and above

    Microsoft SQL Azure

    Microsoft SQL Server CE

    Microsoft SQL Server 2005/2008 Express

    Oracle Server 9.2 and above

    Oracle Database XE

    MySQL 5.0 and above

    Sybase iAnywhere Advantage Database Server 8.1

    Sybase iAnywhere SQL Anywhere Server 10 (only with Visual Studio 2005)

    Firebird Server version 2.0 (only with Visual Studio 2005)

    VistaDB

Get Pro Telerik ASP.NET and Silverlight Controls: Master Telerik Controls for Advanced ASP.NET and Silverlight Projects now with the O’Reilly learning platform.

O’Reilly members experience live online training, plus books, videos, and digital content from nearly 200 publishers.